#!/bin/bash
cd $(dirname "$0")

export CMAKE_DIR="$PWD/docker-cross-compiler/cmake"
export NOINSTALL=1
export REFUEL_ADDITIONAL_CMAKE="-D BUILD_SHARED_LIBS=true -D NO_SONAME=true"

# Clang Builds
./docker-cross-compiler/sh/build_native.sh "$PWD/freetype" "osx-arm64 osx-x64"

# GCC Builds
export REFUEL_ADDITIONAL_CMAKE="$REFUEL_ADDITIONAL_CMAKE -D COMPILE_OPTIONS=\"-static-libgcc;-static-libstdc++;-fno-exceptions\""
./docker-cross-compiler/sh/build_native.sh "$PWD/freetype" "linux-arm linux-arm64 linux-x64 win-x64 win-x86"

# Copy out natives from their respective directories into runtimes
mkdir -p \
    ./runtimes/linux-arm/native \
    ./runtimes/linux-arm64/native \
    ./runtimes/linux-x64/native \
    ./runtimes/win-x64/native \
    ./runtimes/win-x86/native \
    ./runtimes/osx-arm64 \
    ./runtimes/osx-x64

cp ./out/linux-arm/libfreetype.so runtimes/linux-arm/native/libfreetype.so
cp ./out/linux-arm64/libfreetype.so runtimes/linux-arm64/native/libfreetype.so
cp ./out/linux-x64/libfreetype.so runtimes/linux-x64/native/libfreetype.so
cp ./out/win-x64/libfreetype.dll runtimes/win-x64/native/libfreetype.dll
cp ./out/win-x86/libfreetype.dll runtimes/win-x86/native/libfreetype.dll
cp ./out/osx-arm64/libfreetype.dylib runtimes/osx-arm64/native/libfreetype.dylib
cp ./out/osx-x64/libfreetype.dylib runtimes/osx-x64/native/libfreetype.dylib

dotnet build
